Bug 43845 - [PATCH] - The cups-pstoraster port does not build due to undefined functions
Summary: [PATCH] - The cups-pstoraster port does not build due to undefined functions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alan Eldridge
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-09 00:10 UTC by glastech
Modified: 2002-10-15 02:39 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (703 bytes, patch)
2002-10-09 00:10 UTC, glastech
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description glastech 2002-10-09 00:10:01 UTC
	Compilation of the port failed giving the following error message.

./obj/gomni.o: In function `OpenDevice':
./obj/gomni.o(.text+0x151): undefined reference to `bmp_map_16m_rgb_color'
./obj/gomni.o(.text+0x15b): undefined reference to `bmp_map_16m_color_rgb'
gmake: *** [bin/espgs] Error 1
*** Error code 2

Fix: The Makefile supplied with the port only builds the CUPS driver, however it is dependent
upon the BMP16M driver to supply the functions listed as undefined during compilation.  Changing
the Makefile so that it built the BMP16M driver as well resulted in the port building, installing,
and operating correctly.

	The supplied patch enables the port to build successfully - on my system at least.

How-To-Repeat: 	Go to the /usr/ports/print/cups-pstoraster directory and type 'make clean all'.  It will take
some time for the error to occur as there a number of files to be compiled prior to the file giving the
error.
Comment 1 Alan Eldridge 2002-10-09 01:03:51 UTC
On Wed, Oct 09, 2002 at 07:07:47AM +0800, glastech@iinet.net.au wrote:
>
>>Number:         43845
>>Category:       ports
>>Synopsis:       [PATCH] - The cups-pstoraster port does not build due to undefined functions

Thanks. However, the port builds successfully on  my 4.7-STABLE system
w/o modification, so until either (1) someone tells me why it is failing
on some systems and not others or (2) I figure the reason out, I will
not modify the port. Sorry folks, but I don't "fix" a bug until I know
what is really causing it. E.g., it must build on bento or else I'd have
had Kris K screaming at me by now.

The evidence suggests somehow an interaction between certain persons's 
system configuration and the ghostscript configuration. I'm not changing
anything until I know what that is. That may be frustrating to some of
you, however I've got 20+ years of experience successfully finding and
fixing difficult softare defects, so please be patient. The objective
is not just to remedy your build problem, but to also discover why you
have the problem in the first place. Even though it works, the fact that
it is unncessary on my 4.7-20021007 systems suggests that it is not
the *correct* solution.

A copy of the config.log from one of the systems where it is failing
would be very helpful as a starting point, as well as the output of
'pkg_info -Ia' on the same system.

Please send directly to me; there is no need to either attach it to the 
PR (I'll summarize cause/solution) or spam any of the mailing lists with
it. Thanks much.

PS. Feel free to use this patch locally on your own systems, but it will
not be committed.
-- 
Alan Eldridge
Unix/C(++) IT Pro, 20 yrs, seeking new employment.
(http://wwweasel.geeksrus.net/~alane/resume.txt)
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)
Comment 2 Alan Eldridge freebsd_committer 2002-10-09 01:10:14 UTC
State Changed
From-To: open->feedback

I need info to determine the true cause of the problem. 


Comment 3 Alan Eldridge freebsd_committer 2002-10-09 01:10:14 UTC
Class Changed
From-To: sw-bug->change-request

It's not certain that this is a bug in the port. 


Comment 4 Alan Eldridge freebsd_committer 2002-10-09 01:10:14 UTC
Responsible Changed
From-To: freebsd-ports->alane

I'm the maintainer.
Comment 5 Alan Eldridge 2002-10-15 01:18:40 UTC
On Wed, Oct 09, 2002 at 07:07:47AM +0800, glastech@iinet.net.au wrote:
>
>>Number:         43845
>>Category:       ports
>>Synopsis:       [PATCH] - The cups-pstoraster port does not build due to undefined functions

Interesting.... 

You have a non-ports version of glib installed, and it's finding it, and
I have a ports version of glib installed, and it's not finding it. Other
than that, our config.logs are the same.

Yours says that support for Omni can be compiled in, apparently as a
result of finding that glib, and mine says it can't, for the opposite 
reason.

This is starting to get weird. I'm gonna patch it so it sees glib and 
see if I get the same error then.
-- 
Alan Eldridge
Unix/C(++) IT Pro, 20 yrs, seeking new employment.
(http://wwweasel.geeksrus.net/~alane/resume.txt)
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)
Comment 6 Alan Eldridge freebsd_committer 2002-10-15 02:36:36 UTC
State Changed
From-To: feedback->closed

Found the problem. If it found a glib, which would only be a non-ports 
glib, it would try to build Omni(?) drivers. We turn that off at config time 
and no more problem. Patch committed to port Makefile.